Index: /palm/trunk/SOURCE/lagrangian_particle_model_mod.f90
===================================================================
--- /palm/trunk/SOURCE/lagrangian_particle_model_mod.f90	(revision 4345)
+++ /palm/trunk/SOURCE/lagrangian_particle_model_mod.f90	(revision 4346)
@@ -25,4 +25,8 @@
 ! -----------------
 ! $Id$
+! Introduction of wall_flags_total_0, which currently sets bits based on static
+! topography information used in wall_flags_static_0
+! 
+! 4336 2019-12-13 10:12:05Z raasch
 ! bugfix: wrong header output of particle group features (density ratio) in case
 ! of restarts corrected
@@ -152,5 +156,5 @@
                nzb_max, nzt,nbgp, ngp_2dh_outer,                               &
                topo_top_ind,                                                   &
-               wall_flags_static_0
+               wall_flags_total_0
 
     USE kinds
@@ -1354,5 +1358,5 @@
 !--                               of overhanging structures.
                                   IF ( kp > nzt  .OR.                          &
-                                 .NOT. BTEST( wall_flags_static_0(kp,jp,ip), 0 ) )  THEN
+                                 .NOT. BTEST( wall_flags_total_0(kp,jp,ip), 0 ) )  THEN
                                      pos_x = pos_x + pdx(i)
                                      CYCLE xloop
@@ -1364,5 +1368,5 @@
                                ELSEIF ( .NOT. seed_follows_topography .AND.    &
                                          tmp_particle%z <= zw(k_surf)  .OR.    &
-                                        .NOT. BTEST( wall_flags_static_0(kp,jp,ip), 0 ) )&
+                                        .NOT. BTEST( wall_flags_total_0(kp,jp,ip), 0 ) )&
                                THEN
                                   pos_x = pos_x + pdx(i)
@@ -1520,5 +1524,5 @@
 !
 !--                Check if particle is within topography
-                   IF ( .NOT. BTEST( wall_flags_static_0(k,j,i), 0 ) )  THEN
+                   IF ( .NOT. BTEST( wall_flags_total_0(k,j,i), 0 ) )  THEN
                       particles(n)%particle_mask = .FALSE.
                       deleted_particles = deleted_particles + 1
@@ -1763,22 +1767,22 @@
           DO  k = nzb, nzt+1
 
-             IF ( .NOT. BTEST( wall_flags_static_0(k,j,i-1), 0 )  .AND.               &
-                        BTEST( wall_flags_static_0(k,j,i), 0   )  .AND.               &
-                        BTEST( wall_flags_static_0(k,j,i+1), 0 ) )                    &
+             IF ( .NOT. BTEST( wall_flags_total_0(k,j,i-1), 0 )  .AND.         &
+                        BTEST( wall_flags_total_0(k,j,i), 0   )  .AND.         &
+                        BTEST( wall_flags_total_0(k,j,i+1), 0 ) )              &
              THEN
                 de_dx(k,j,i) = 2.0_wp * sgs_wf_part *                          &
                                ( e(k,j,i+1) - e(k,j,i) ) * ddx
-             ELSEIF ( BTEST( wall_flags_static_0(k,j,i-1), 0 )  .AND.                 &
-                      BTEST( wall_flags_static_0(k,j,i), 0   )  .AND.                 &
-                .NOT. BTEST( wall_flags_static_0(k,j,i+1), 0 ) )                      &
+             ELSEIF ( BTEST( wall_flags_total_0(k,j,i-1), 0 )  .AND.           &
+                      BTEST( wall_flags_total_0(k,j,i), 0   )  .AND.           &
+                .NOT. BTEST( wall_flags_total_0(k,j,i+1), 0 ) )                &
              THEN
                 de_dx(k,j,i) = 2.0_wp * sgs_wf_part *                          &
                                ( e(k,j,i) - e(k,j,i-1) ) * ddx
-             ELSEIF ( .NOT. BTEST( wall_flags_static_0(k,j,i), 22   )  .AND.          &
-                      .NOT. BTEST( wall_flags_static_0(k,j,i+1), 22 ) )               &   
+             ELSEIF ( .NOT. BTEST( wall_flags_total_0(k,j,i), 22   )  .AND.    &
+                      .NOT. BTEST( wall_flags_total_0(k,j,i+1), 22 ) )         &   
              THEN
                 de_dx(k,j,i) = 0.0_wp
-             ELSEIF ( .NOT. BTEST( wall_flags_static_0(k,j,i-1), 22 )  .AND.          &
-                      .NOT. BTEST( wall_flags_static_0(k,j,i), 22   ) )               &
+             ELSEIF ( .NOT. BTEST( wall_flags_total_0(k,j,i-1), 22 )  .AND.    &
+                      .NOT. BTEST( wall_flags_total_0(k,j,i), 22   ) )         &
              THEN
                 de_dx(k,j,i) = 0.0_wp
@@ -1787,22 +1791,22 @@
              ENDIF
 
-             IF ( .NOT. BTEST( wall_flags_static_0(k,j-1,i), 0 )  .AND.               &
-                        BTEST( wall_flags_static_0(k,j,i), 0   )  .AND.               &
-                        BTEST( wall_flags_static_0(k,j+1,i), 0 ) )                    &
+             IF ( .NOT. BTEST( wall_flags_total_0(k,j-1,i), 0 )  .AND.         &
+                        BTEST( wall_flags_total_0(k,j,i), 0   )  .AND.         &
+                        BTEST( wall_flags_total_0(k,j+1,i), 0 ) )              &
              THEN
                 de_dy(k,j,i) = 2.0_wp * sgs_wf_part *                          &
                                ( e(k,j+1,i) - e(k,j,i) ) * ddy
-             ELSEIF ( BTEST( wall_flags_static_0(k,j-1,i), 0 )  .AND.                 &
-                      BTEST( wall_flags_static_0(k,j,i), 0   )  .AND.                 &
-                .NOT. BTEST( wall_flags_static_0(k,j+1,i), 0 ) )                      &
+             ELSEIF ( BTEST( wall_flags_total_0(k,j-1,i), 0 )  .AND.           &
+                      BTEST( wall_flags_total_0(k,j,i), 0   )  .AND.           &
+                .NOT. BTEST( wall_flags_total_0(k,j+1,i), 0 ) )                &
              THEN
                 de_dy(k,j,i) = 2.0_wp * sgs_wf_part *                          &
                                ( e(k,j,i) - e(k,j-1,i) ) * ddy
-             ELSEIF ( .NOT. BTEST( wall_flags_static_0(k,j,i), 22   )  .AND.          &
-                      .NOT. BTEST( wall_flags_static_0(k,j+1,i), 22 ) )               &   
+             ELSEIF ( .NOT. BTEST( wall_flags_total_0(k,j,i), 22   )  .AND.    &
+                      .NOT. BTEST( wall_flags_total_0(k,j+1,i), 22 ) )         &   
              THEN
                 de_dy(k,j,i) = 0.0_wp
-             ELSEIF ( .NOT. BTEST( wall_flags_static_0(k,j-1,i), 22 )  .AND.          &
-                      .NOT. BTEST( wall_flags_static_0(k,j,i), 22   ) )               &
+             ELSEIF ( .NOT. BTEST( wall_flags_total_0(k,j-1,i), 22 )  .AND.    &
+                      .NOT. BTEST( wall_flags_total_0(k,j,i), 22   ) )         &
              THEN
                 de_dy(k,j,i) = 0.0_wp
@@ -1822,5 +1826,5 @@
 !
 !--          Flag to mask topography
-             flag1 = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 0  ) )
+             flag1 = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_total_0(k,j,i), 0  ) )
 
              de_dz(k,j,i) = 2.0_wp * sgs_wf_part *                             &
@@ -1897,5 +1901,5 @@
 !
 !--             Flag indicating vicinity of wall
-                flag1 = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 24 ) )
+                flag1 = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_total_0(k,j,i), 24 ) )
 
                 sums_l(k,1,0)  = sums_l(k,1,0)  + u(k,j,i) * flag1
@@ -1937,5 +1941,5 @@
 !
 !--             Flag indicating vicinity of wall
-                flag1 = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 24 ) )
+                flag1 = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_total_0(k,j,i), 24 ) )
 
                 sums_l(k,8,0)  = sums_l(k,8,0)  + e(k,j,i)                       * flag1
@@ -3645,5 +3649,5 @@
                                ( gg-dd ) * w(k+1,j+1,i+1) &
                              ) / ( 3.0_wp * gg )
-                   w_int(n) = w_int_l + ( zv(n) - zw(k) ) / dzw(k+1) *               &
+                   w_int(n) = w_int_l + ( zv(n) - zw(k) ) / dzw(k+1) *            &
                               ( w_int_u - w_int_l )
                 ENDIF
@@ -3668,7 +3672,7 @@
              j = jp + MERGE( -1_iwp , 1_iwp, BTEST( nb, 1 ) )
              k = kp + MERGE( -1_iwp , 1_iwp, BTEST( nb, 0 ) )
-             IF ( .NOT. BTEST(wall_flags_static_0(k,  jp, ip), 0) .OR.                &
-                  .NOT. BTEST(wall_flags_static_0(kp, j,  ip), 0) .OR.                &
-                  .NOT. BTEST(wall_flags_static_0(kp, jp, i ), 0) )                   &
+             IF ( .NOT. BTEST(wall_flags_total_0(k,  jp, ip), 0) .OR.             &
+                  .NOT. BTEST(wall_flags_total_0(kp, j,  ip), 0) .OR.             &
+                  .NOT. BTEST(wall_flags_total_0(kp, jp, i ), 0) )                &
              THEN
                 subbox_at_wall = .TRUE.
@@ -4765,5 +4769,5 @@
                 IF ( reach_x(t_index)                      .AND.               & 
                      ABS( pos_x - xwall ) < eps            .AND.               &
-                     .NOT. BTEST(wall_flags_static_0(k3,j3,i3),0) .AND.               &
+                     .NOT. BTEST(wall_flags_total_0(k3,j3,i3),0) .AND.         &
                      .NOT. reflect_x )  THEN
 ! 
@@ -4805,5 +4809,5 @@
                 IF ( reach_y(t_index)                      .AND.               & 
                      ABS( pos_y - ywall ) < eps            .AND.               &
-                     .NOT. BTEST(wall_flags_static_0(k3,j3,i3),0) .AND.               &
+                     .NOT. BTEST(wall_flags_total_0(k3,j3,i3),0) .AND.         &
                      .NOT. reflect_y )  THEN
 ! 
@@ -4845,5 +4849,5 @@
                 IF ( reach_z(t_index)                      .AND.               & 
                      ABS( pos_z - zwall ) < eps            .AND.               &
-                     .NOT. BTEST(wall_flags_static_0(k3,j3,i3),0) .AND.               &
+                     .NOT. BTEST(wall_flags_total_0(k3,j3,i3),0) .AND.         &
                      .NOT. reflect_z )  THEN
 ! 
@@ -5203,5 +5207,5 @@
 !
 !--          Predetermine flag to mask topography
-             flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 0 ) )
+             flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_total_0(k,j,i), 0 ) )
 
              q(k,j,i)  = q_p(k,j,i)  - ql_c(k,j,i) * flag
@@ -5233,5 +5237,5 @@
 !
 !--    Predetermine flag to mask topography
-       flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 0 ) )
+       flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_total_0(k,j,i), 0 ) )
 
        q(k,j,i)  = q(k,j,i)  - ql_c(k,j,i) * flag
Index: /palm/trunk/SOURCE/large_scale_forcing_nudging_mod.f90
===================================================================
--- /palm/trunk/SOURCE/large_scale_forcing_nudging_mod.f90	(revision 4345)
+++ /palm/trunk/SOURCE/large_scale_forcing_nudging_mod.f90	(revision 4346)
@@ -25,4 +25,8 @@
 ! -----------------
 ! $Id$
+! Introduction of wall_flags_total_0, which currently sets bits based on static
+! topography information used in wall_flags_static_0
+! 
+! 4329 2019-12-10 15:46:36Z motisi
 ! Renamed wall_flags_0 to wall_flags_static_0
 ! 
@@ -74,5 +78,5 @@
     USE indices,                                                               &
         ONLY:  nbgp, ngp_sums_ls, nx, nxl, nxlg, nxlu, nxr, nxrg, ny, nys,     &
-               nysv, nysg, nyn, nyng, nzb, nz, nzt, wall_flags_static_0
+               nysv, nysg, nyn, nyng, nzb, nz, nzt, wall_flags_total_0
 
     USE kinds
@@ -802,5 +806,5 @@
                                     ( td_lsa_lpt(k,nt+1) - td_lsa_lpt(k,nt) ) *&
                                         MERGE( 1.0_wp, 0.0_wp,                 &
-                                               BTEST( wall_flags_static_0(k,j,i), 0 ) )
+                                        BTEST( wall_flags_total_0(k,j,i), 0 ) )
                    ENDDO
                 ENDDO
@@ -815,5 +819,5 @@
                                     ( td_lsa_q(k,nt+1) - td_lsa_q(k,nt) ) *    &
                                         MERGE( 1.0_wp, 0.0_wp,                 &
-                                               BTEST( wall_flags_static_0(k,j,i), 0 ) )
+                                        BTEST( wall_flags_total_0(k,j,i), 0 ) )
                    ENDDO
                 ENDDO
@@ -836,5 +840,5 @@
                                      ( td_sub_lpt(k,nt+1) - td_sub_lpt(k,nt) )*&
                                         MERGE( 1.0_wp, 0.0_wp,                 &
-                                               BTEST( wall_flags_static_0(k,j,i), 0 ) )
+                                        BTEST( wall_flags_total_0(k,j,i), 0 ) )
                       ENDDO
                    ENDDO
@@ -849,5 +853,5 @@
                                        ( td_sub_q(k,nt+1) - td_sub_q(k,nt) ) * &
                                         MERGE( 1.0_wp, 0.0_wp,                 &
-                                               BTEST( wall_flags_static_0(k,j,i), 0 ) )
+                                        BTEST( wall_flags_total_0(k,j,i), 0 ) )
                       ENDDO
                    ENDDO
@@ -902,5 +906,5 @@
                              + fac * ( td_lsa_lpt(k,nt+1) - td_lsa_lpt(k,nt) )*&
                                         MERGE( 1.0_wp, 0.0_wp,                 &
-                                               BTEST( wall_flags_static_0(k,j,i), 0 ) )
+                                        BTEST( wall_flags_total_0(k,j,i), 0 ) )
              ENDDO
 
@@ -911,5 +915,5 @@
                               + fac * ( td_lsa_q(k,nt+1) - td_lsa_q(k,nt) ) *  &
                                         MERGE( 1.0_wp, 0.0_wp,                 &
-                                               BTEST( wall_flags_static_0(k,j,i), 0 ) )
+                                        BTEST( wall_flags_total_0(k,j,i), 0 ) )
              ENDDO
 
@@ -928,5 +932,5 @@
                                  ( td_sub_lpt(k,nt+1) - td_sub_lpt(k,nt) ) *   &
                                         MERGE( 1.0_wp, 0.0_wp,                 &
-                                               BTEST( wall_flags_static_0(k,j,i), 0 ) )
+                                        BTEST( wall_flags_total_0(k,j,i), 0 ) )
                 ENDDO
   
@@ -937,5 +941,5 @@
                                  ( td_sub_q(k,nt+1) - td_sub_q(k,nt) ) *       &
                                         MERGE( 1.0_wp, 0.0_wp,                 &
-                                               BTEST( wall_flags_static_0(k,j,i), 0 ) )
+                                        BTEST( wall_flags_total_0(k,j,i), 0 ) )
                 ENDDO
 
@@ -1181,5 +1185,5 @@
                       tend(k,j,i) = tend(k,j,i) + tmp_tend *                   &
                                         MERGE( 1.0_wp, 0.0_wp,                 &
-                                               BTEST( wall_flags_static_0(k,j,i), 1 ) )
+                                        BTEST( wall_flags_total_0(k,j,i), 1 ) )
 
                       sums_ls_l(k,6) = sums_ls_l(k,6) + tmp_tend *             &
@@ -1204,5 +1208,5 @@
                       tend(k,j,i) = tend(k,j,i) + tmp_tend *                   &
                                         MERGE( 1.0_wp, 0.0_wp,                 &
-                                               BTEST( wall_flags_static_0(k,j,i), 2 ) )
+                                        BTEST( wall_flags_total_0(k,j,i), 2 ) )
 
                       sums_ls_l(k,7) = sums_ls_l(k,7) + tmp_tend *             &
@@ -1227,5 +1231,5 @@
                       tend(k,j,i) = tend(k,j,i) + tmp_tend *                   &
                                         MERGE( 1.0_wp, 0.0_wp,                 &
-                                               BTEST( wall_flags_static_0(k,j,i), 0 ) )
+                                        BTEST( wall_flags_total_0(k,j,i), 0 ) )
 
                       sums_ls_l(k,4) = sums_ls_l(k,4) + tmp_tend *             &
@@ -1250,5 +1254,5 @@
                       tend(k,j,i) = tend(k,j,i) + tmp_tend *                   &
                                         MERGE( 1.0_wp, 0.0_wp,                 &
-                                               BTEST( wall_flags_static_0(k,j,i), 0 ) )
+                                        BTEST( wall_flags_total_0(k,j,i), 0 ) )
 
                       sums_ls_l(k,5) = sums_ls_l(k,5) + tmp_tend *             &
@@ -1316,5 +1320,5 @@
                 tend(k,j,i) = tend(k,j,i) + tmp_tend *                         &
                                         MERGE( 1.0_wp, 0.0_wp,                 &
-                                               BTEST( wall_flags_static_0(k,j,i), 1 ) )
+                                        BTEST( wall_flags_total_0(k,j,i), 1 ) )
 
                 sums_ls_l(k,6) = sums_ls_l(k,6) + tmp_tend                     &
@@ -1333,5 +1337,5 @@
                 tend(k,j,i) = tend(k,j,i) + tmp_tend *                         &
                                         MERGE( 1.0_wp, 0.0_wp,                 &
-                                               BTEST( wall_flags_static_0(k,j,i), 2 ) )
+                                        BTEST( wall_flags_total_0(k,j,i), 2 ) )
 
                 sums_ls_l(k,7) = sums_ls_l(k,7) + tmp_tend                     &
@@ -1350,5 +1354,5 @@
                 tend(k,j,i) = tend(k,j,i) + tmp_tend *                         &
                                         MERGE( 1.0_wp, 0.0_wp,                 &
-                                               BTEST( wall_flags_static_0(k,j,i), 0 ) )
+                                        BTEST( wall_flags_total_0(k,j,i), 0 ) )
 
                 sums_ls_l(k,4) = sums_ls_l(k,4) + tmp_tend                     &
@@ -1368,5 +1372,5 @@
                 tend(k,j,i) = tend(k,j,i) + tmp_tend *                         &
                                         MERGE( 1.0_wp, 0.0_wp,                 &
-                                               BTEST( wall_flags_static_0(k,j,i), 0 ) )
+                                        BTEST( wall_flags_total_0(k,j,i), 0 ) )
 
                 sums_ls_l(k,5) = sums_ls_l(k,5) + tmp_tend                     &
Index: /palm/trunk/SOURCE/modules.f90
===================================================================
--- /palm/trunk/SOURCE/modules.f90	(revision 4345)
+++ /palm/trunk/SOURCE/modules.f90	(revision 4346)
@@ -25,4 +25,8 @@
 ! -----------------
 ! $Id$
+! Introduction of wall_flags_total_0, which currently sets bits based on static
+! topography information used in wall_flags_static_0
+! 
+! 4340 2019-12-16 08:17:03Z Giersch
 ! Flag for topography closed channel flow with symmetric boundaries introduced
 ! 
@@ -1118,5 +1122,6 @@
     INTEGER(iwp), DIMENSION(:,:,:), ALLOCATABLE ::  advc_flags_s            !< flags used to degrade order of advection scheme for scalar quantities
     INTEGER(iwp), DIMENSION(:,:,:), ALLOCATABLE ::  topo_top_ind            !< precalculated topography top indices
-    INTEGER(iwp), DIMENSION(:,:,:), ALLOCATABLE ::  wall_flags_static_0            !< flags to mask topography and surface-bounded grid points
+    INTEGER(iwp), DIMENSION(:,:,:), ALLOCATABLE ::  wall_flags_static_0     !< flags to mask topography and surface-bounded grid points
+    INTEGER(iwp), DIMENSION(:,:,:), ALLOCATABLE ::  wall_flags_total_0      !< merged array, which contains the static and dynamic flags
 
     SAVE
Index: /palm/trunk/SOURCE/multi_agent_system_mod.f90
===================================================================
--- /palm/trunk/SOURCE/multi_agent_system_mod.f90	(revision 4345)
+++ /palm/trunk/SOURCE/multi_agent_system_mod.f90	(revision 4346)
@@ -25,4 +25,8 @@
 ! -----------------
 ! $Id$
+! Removed wall_flags_static_0 from USE statements as it's not used within
+! the module
+! 
+! 4329 2019-12-10 15:46:36Z motisi
 ! Renamed wall_flags_0 to wall_flags_static_0
 ! 
@@ -90,7 +94,6 @@
     USE indices,                                                               &
         ONLY:  nx, nxl, nxlg, nxr, nxrg, ny, nyn, nyng, nys, nysg, nzb,        &
-               topo_top_ind,                                                   &
-               wall_flags_static_0
-
+               topo_top_ind
+               
     USE random_function_mod,                                                   &
         ONLY:  random_function
Index: /palm/trunk/SOURCE/nesting_offl_mod.f90
===================================================================
--- /palm/trunk/SOURCE/nesting_offl_mod.f90	(revision 4345)
+++ /palm/trunk/SOURCE/nesting_offl_mod.f90	(revision 4346)
@@ -25,4 +25,8 @@
 ! -----------------
 ! $Id$
+! Introduction of wall_flags_total_0, which currently sets bits based on static
+! topography information used in wall_flags_static_0
+! 
+! 4329 2019-12-10 15:46:36Z motisi
 ! Renamed wall_flags_0 to wall_flags_static_0
 ! 
@@ -191,5 +195,5 @@
                nysv, nysg, nyn, nyng, nzb, nz, nzt,                            &
                topo_top_ind,                                                   &
-               wall_flags_static_0
+               wall_flags_total_0
 
     USE kinds
@@ -866,5 +870,5 @@
                 volume_flow_l(1) = volume_flow_l(1) + u(k,j,i) * dzw(k) * dy   &
                                      * MERGE( 1.0_wp, 0.0_wp,                  &
-                                              BTEST( wall_flags_static_0(k,j,i), 1 ) )
+                                       BTEST( wall_flags_total_0(k,j,i), 1 ) )
              ENDDO
           ENDDO
@@ -876,5 +880,5 @@
                 volume_flow_l(1) = volume_flow_l(1) - u(k,j,i) * dzw(k) * dy   &
                                      * MERGE( 1.0_wp, 0.0_wp,                  &
-                                              BTEST( wall_flags_static_0(k,j,i), 1 ) )
+                                       BTEST( wall_flags_total_0(k,j,i), 1 ) )
              ENDDO
           ENDDO
@@ -886,5 +890,5 @@
                 volume_flow_l(2) = volume_flow_l(2) + v(k,j,i) * dzw(k) * dx   &
                                      * MERGE( 1.0_wp, 0.0_wp,                  &
-                                              BTEST( wall_flags_static_0(k,j,i), 2 ) )
+                                       BTEST( wall_flags_total_0(k,j,i), 2 ) )
              ENDDO
           ENDDO
@@ -896,5 +900,5 @@
                 volume_flow_l(2) = volume_flow_l(2) - v(k,j,i) * dzw(k) * dx   &
                                      * MERGE( 1.0_wp, 0.0_wp,                  &
-                                              BTEST( wall_flags_static_0(k,j,i), 2 ) )
+                                       BTEST( wall_flags_total_0(k,j,i), 2 ) )
              ENDDO
           ENDDO
@@ -1001,5 +1005,5 @@
                                                 fac_dt ) *                     &
                              MERGE( 1.0_wp, 0.0_wp,                            &
-                                    BTEST( wall_flags_static_0(k,j,0), 1 ) )
+                                    BTEST( wall_flags_total_0(k,j,0), 1 ) )
                 u(k,j,-1) = u(k,j,0)
              ENDDO
@@ -1013,5 +1017,5 @@
                                                  fac_dt ) *                    &
                             MERGE( 1.0_wp, 0.0_wp,                             &
-                                   BTEST( wall_flags_static_0(k,j,-1), 3 ) )
+                                   BTEST( wall_flags_total_0(k,j,-1), 3 ) )
              ENDDO
              w(nzt,j,-1) = w(nzt-1,j,-1)
@@ -1024,5 +1028,5 @@
                                                  fac_dt ) *                    &
                                MERGE( 1.0_wp, 0.0_wp,                          &
-                                      BTEST( wall_flags_static_0(k,j,-1), 2 ) )
+                                      BTEST( wall_flags_total_0(k,j,-1), 2 ) )
              ENDDO
              v_ref_l(nzb+1:nzt) = v_ref_l(nzb+1:nzt) + v(nzb+1:nzt,j,-1)
@@ -1080,5 +1084,5 @@
                                                     fac_dt ) *                 &
                              MERGE( 1.0_wp, 0.0_wp,                            &
-                                    BTEST( wall_flags_static_0(k,j,nxr+1), 1 ) )
+                                    BTEST( wall_flags_total_0(k,j,nxr+1), 1 ) )
              ENDDO
              u_ref_l(nzb+1:nzt) = u_ref_l(nzb+1:nzt) + u(nzb+1:nzt,j,nxr+1)
@@ -1090,5 +1094,5 @@
                                                     fac_dt ) *                 &
                              MERGE( 1.0_wp, 0.0_wp,                            &
-                                    BTEST( wall_flags_static_0(k,j,nxr+1), 3 ) )
+                                    BTEST( wall_flags_total_0(k,j,nxr+1), 3 ) )
              ENDDO
              w(nzt,j,nxr+1) = w(nzt-1,j,nxr+1)
@@ -1101,5 +1105,5 @@
                                                     fac_dt ) *                 &
                              MERGE( 1.0_wp, 0.0_wp,                            &
-                                    BTEST( wall_flags_static_0(k,j,nxr+1), 2 ) )
+                                    BTEST( wall_flags_total_0(k,j,nxr+1), 2 ) )
              ENDDO
              v_ref_l(nzb+1:nzt) = v_ref_l(nzb+1:nzt) + v(nzb+1:nzt,j,nxr+1)
@@ -1158,5 +1162,5 @@
                                                 fac_dt ) *                     &
                            MERGE( 1.0_wp, 0.0_wp,                              &
-                                  BTEST( wall_flags_static_0(k,0,i), 2 ) )
+                                  BTEST( wall_flags_total_0(k,0,i), 2 ) )
                 v(k,-1,i) = v(k,0,i) 
              ENDDO
@@ -1170,5 +1174,5 @@
                                                  fac_dt ) *                    &
                            MERGE( 1.0_wp, 0.0_wp,                              &
-                                  BTEST( wall_flags_static_0(k,-1,i), 3 ) )
+                                  BTEST( wall_flags_total_0(k,-1,i), 3 ) )
              ENDDO
              w(nzt,-1,i) = w(nzt-1,-1,i)
@@ -1181,5 +1185,5 @@
                                                  fac_dt ) *                    &
                            MERGE( 1.0_wp, 0.0_wp,                              &
-                                  BTEST( wall_flags_static_0(k,-1,i), 1 ) )
+                                  BTEST( wall_flags_total_0(k,-1,i), 1 ) )
              ENDDO
              u_ref_l(nzb+1:nzt) = u_ref_l(nzb+1:nzt) + u(nzb+1:nzt,-1,i)
@@ -1239,5 +1243,5 @@
                                                     fac_dt ) *                 &
                                MERGE( 1.0_wp, 0.0_wp,                          &
-                                      BTEST( wall_flags_static_0(k,nyn+1,i), 2 ) )
+                                    BTEST( wall_flags_total_0(k,nyn+1,i), 2 ) )
              ENDDO
              v_ref_l(nzb+1:nzt) = v_ref_l(nzb+1:nzt) + v(nzb+1:nzt,nyn+1,i)
@@ -1249,5 +1253,5 @@
                                                     fac_dt ) *                 &
                                MERGE( 1.0_wp, 0.0_wp,                          &
-                                      BTEST( wall_flags_static_0(k,nyn+1,i), 3 ) )
+                                    BTEST( wall_flags_total_0(k,nyn+1,i), 3 ) )
              ENDDO
              w(nzt,nyn+1,i) = w(nzt-1,nyn+1,i)
@@ -1260,5 +1264,5 @@
                                                     fac_dt ) *                 &
                                MERGE( 1.0_wp, 0.0_wp,                          &
-                                      BTEST( wall_flags_static_0(k,nyn+1,i), 1 ) )
+                                    BTEST( wall_flags_total_0(k,nyn+1,i), 1 ) )
 
              ENDDO
@@ -1318,5 +1322,5 @@
                                                  fac_dt ) *                    &
                            MERGE( 1.0_wp, 0.0_wp,                              &
-                                  BTEST( wall_flags_static_0(nzt+1,j,i), 1 ) )
+                                  BTEST( wall_flags_total_0(nzt+1,j,i), 1 ) )
              u_ref_l(nzt+1) = u_ref_l(nzt+1) + u(nzt+1,j,i)
           ENDDO
@@ -1334,5 +1338,5 @@
                                                  fac_dt ) *                    &
                            MERGE( 1.0_wp, 0.0_wp,                              &
-                                  BTEST( wall_flags_static_0(nzt+1,j,i), 2 ) )
+                                  BTEST( wall_flags_total_0(nzt+1,j,i), 2 ) )
              v_ref_l(nzt+1) = v_ref_l(nzt+1) + v(nzt+1,j,i)
           ENDDO
@@ -1350,5 +1354,5 @@
                                                fac_dt ) *                      &
                            MERGE( 1.0_wp, 0.0_wp,                              &
-                                  BTEST( wall_flags_static_0(nzt,j,i), 3 ) )
+                                  BTEST( wall_flags_total_0(nzt,j,i), 3 ) )
              w(nzt+1,j,i) = w(nzt,j,i)
           ENDDO
@@ -2133,7 +2137,7 @@
 !--    After boundary data is initialized, mask topography at the 
 !--    boundaries for the velocity components.
-       u = MERGE( u, 0.0_wp, BTEST( wall_flags_static_0, 1 ) )
-       v = MERGE( v, 0.0_wp, BTEST( wall_flags_static_0, 2 ) )
-       w = MERGE( w, 0.0_wp, BTEST( wall_flags_static_0, 3 ) )
+       u = MERGE( u, 0.0_wp, BTEST( wall_flags_total_0, 1 ) )
+       v = MERGE( v, 0.0_wp, BTEST( wall_flags_total_0, 2 ) )
+       w = MERGE( w, 0.0_wp, BTEST( wall_flags_total_0, 3 ) )
 !
 !--    Initial calculation of the boundary layer depth from the prescribed 
